Subject: [rohc] RE: RFC3095 Question

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Fri, 16 Apr 2004 11:27:40 +0200

Shilong,

This comment is closely related to the previous discussion on the rohc list, 
https://www1.ietf.org/mailman/listinfo/rohc,
about the use of IR's without a dynamic chain. This possibility was never
really addressed when we wrote 3095, apart from being allowed in the IR,
and all other texts should be considered with that in mind. Other texts
are thus not obviously applicable to the case when that feature is used.

Rgds,
/L-E

P.S. Please direct further questions/comments to the ROHC list, [email-masked] .			

> -----Original Message-----
> From: shilong zhao [mailto:[email-masked]]
> Sent: den 13 april 2004 03:20
> To: [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]; Hans Hannu 
> (LU/EAB); Lars-Erik Jonsson (LU/EAB); [email-masked]; 
> [email-masked]; [email-masked]
> Subject: RFC3095 Question
> 
> 
> hi, all experts:
>     There is a question when I want to implement RFC3095:
> 
>     in the Page 57 of RFC3095
> 
> 
>                 Success 
> 
>                 +-->------>------>------>------>------>--+
>                 |                                        |
>     No Static   |            No Dynamic        Success   |    Success
>      +-->--+    |             +-->--+      +--->----->---+    +-->--+
>      |     |    |             |     |      |             |    |     |
>      |     v    |             |     v      |             v    |     v
>    +--------------+         +----------------+         
> +--------------+
>    |  No Context  |         | Static Context |         | Full 
> Context |
>    +--------------+         +----------------+         
> +--------------+
>       ^                         |        ^                         |
>       | k_2 out of n_2 failures |        | k_1 out of n_1 failures |
>       +-----<------<------<-----+        +-----<------<------<-----+
> 
> 
>       decompressor directly transits from NO context state to 
> Full context, however the following description:
> 
> 5.3.2.2.1 Decide whether decompression is allowed 
> In Full Context state, decompression may be attempted 
> regardless of what kind of packet is received. However, for 
> the other states decompression is not always allowed. In the 
> No Context state only IR packets, which carry the static 
> information fields, may be decompressed. Further, when in the 
> Static Context state, only packets carrying a 7- or 8-bit CRC 
> can be decompressed (i.e., IR, IR-DYN, or UOR-2 packets). If 
> decompression may not be performed the packet is discarded, 
> unless the optional delayed decompression mechanism is used
>       
>       according section 5.3.2.2.1, If decompressor directly 
> transits from NO context state to Full context.It can only 
> get the static information. How it get Dynamic information ?
> 
> 
> I think that the decompressor maybe have path directly  
> transit from No context to Static Context.
> Do you think so ?
>         
> Thank advance.
> 
> Shilong  Zhao
> 
> 
> 
> CHINA SAMSUNG Telecom R&D Center
> 4/F Science and Technology Tower
> No.9 Zhongguancun Nandajie, Haidian District
> Beijing, China 100081
> 
> TEL: (010) 6842-7711 - 2411
> FAX: (010) 6848-1891
> Mobile:    13621193636
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc